/**
 * 
 */
package org.springframework.samples.kyuriboard.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * @author DAMI(archy712@naver.com)
 *
 */
public class Memo implements Serializable {

	/**
	 * 직렬화 ID
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 메모 ID
	 */
	private int memoId;
	
	/**
	 * 메모가 속한 게시물 ID
	 */
	private int boardId;
	
	/**
	 * 메모 내용
	 */
	private String content;
	
	/**
	 * 메모 입력일
	 */
	private Date insertDate;
	
	/**
	 * 메모 작성자 사용자ID
	 */
	private String userId;

	/**
	 * @return the boardId
	 */
	public int getBoardId() {
		return boardId;
	}

	/**
	 * @param boardId the boardId to set
	 */
	public void setBoardId(int boardId) {
		this.boardId = boardId;
	}

	/**
	 * @return the content
	 */
	public String getContent() {
		return content;
	}

	/**
	 * @param content the content to set
	 */
	public void setContent(String content) {
		this.content = content;
	}

	/**
	 * @return the insertDate
	 */
	public Date getInsertDate() {
		return insertDate;
	}

	/**
	 * @param insertDate the insertDate to set
	 */
	public void setInsertDate(Date insertDate) {
		this.insertDate = insertDate;
	}

	/**
	 * @return the memoId
	 */
	public int getMemoId() {
		return memoId;
	}

	/**
	 * @param memoId the memoId to set
	 */
	public void setMemoId(int memoId) {
		this.memoId = memoId;
	}

	/**
	 * @return the userId
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * @param userId the userId to set
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}
	
	

}
